# Uses of Class
serp.bytecode.LocalVariable

Packages that use LocalVariable
Package
Description
serp.bytecode
Bytecode Manipuation
serp.bytecode.visitor
Bytecode Visitor

## Uses of LocalVariable in serp.bytecode

Methods in serp.bytecode that return LocalVariable
Modifier and Type
Method
Description
`LocalVariable`
LocalVariableTable.`addLocalVariable()`
Add a local to this table.
`LocalVariable`
LocalVariableTable.`addLocalVariable(String name, Class type)`
Add a local to this table.
`LocalVariable`
LocalVariableTable.`addLocalVariable(String name, String type)`
Add a local to this table.
`LocalVariable`
LocalVariableTable.`addLocalVariable(String name, BCClass type)`
Add a local to this table.
`LocalVariable`
LocalVariableTable.`addLocalVariable(LocalVariable local)`
Import a local from another method/class.
`LocalVariable`
LocalVariableInstruction.`getLocalVariable()`
Return the local variable object this instruction operates on, or null if none.
`LocalVariable`
LocalVariableTable.`getLocalVariable(int local)`
Return the local with the given locals index, or null if none.
`LocalVariable`
LocalVariableTable.`getLocalVariable(String name)`
Return the local with the given name, or null if none.
`LocalVariable[]`
LocalVariableTable.`getLocalVariables()`
Return all the locals of this method.
`LocalVariable[]`
LocalVariableTable.`getLocalVariables(String name)`
Return all locals with the given name, or empty array if none.
Methods in serp.bytecode with parameters of type LocalVariable
Modifier and Type
Method
Description
`LocalVariable`
LocalVariableTable.`addLocalVariable(LocalVariable local)`
Import a local from another method/class.
`LocalVariableInstruction`
LocalVariableInstruction.`setLocalVariable(LocalVariable local)`
Set the local variable object this instruction operates on.

## Uses of LocalVariable in serp.bytecode.visitor

Methods in serp.bytecode.visitor with parameters of type LocalVariable
Modifier and Type
Method
Description
`void`
BCVisitor.`enterLocalVariable(LocalVariable obj)`
`void`
PrettyPrintVisitor.`enterLocalVariable(LocalVariable obj)`
`void`
BCVisitor.`exitLocalVariable(LocalVariable obj)`
`void`
PrettyPrintVisitor.`exitLocalVariable(LocalVariable obj)`